Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.log
Class JettyLogger

    java.lang.Object
      com.eviware.soapui.support.log.JettyLogger

All Implemented Interfaces:
  org.mortbay.log.Logger

    public class JettyLogger

extends java.lang.Object
implements org.mortbay.log.Logger

Logger for Jetty Events

Author:
  ole.matzura

Constructor Summary
`JettyLogger()`

Method Summary
`void` | `debug(java.lang.String arg0, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `debug(java.lang.String arg0, java.lang.Throwable arg1)`
`org.mortbay.log.Logger` | `getLogger(java.lang.String arg0)`
`void` | `info(java.lang.String arg0, java.lang.Object arg1, java.lang.Object arg2)`
`boolean` | `isDebugEnabled()`
`void` | `setDebugEnabled(boolean arg0)`
`void` | `warn(java.lang.String arg0, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `warn(java.lang.String arg0, java.lang.Throwable arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyLogger

    public JettyLogger()

Method Detail

### debug

    public void debug(java.lang.String arg0,
                      java.lang.Throwable arg1)

  Specified by:
    `debug` in interface `org.mortbay.log.Logger`

### debug

    public void debug(java.lang.String arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2)

  Specified by:
    `debug` in interface `org.mortbay.log.Logger`

### getLogger

    public org.mortbay.log.Logger getLogger(java.lang.String arg0)

  Specified by:
    `getLogger` in interface `org.mortbay.log.Logger`

### info

    public void info(java.lang.String arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2)

  Specified by:
    `info` in interface `org.mortbay.log.Logger`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `org.mortbay.log.Logger`

### setDebugEnabled

    public void setDebugEnabled(boolean arg0)

  Specified by:
    `setDebugEnabled` in interface `org.mortbay.log.Logger`

### warn

    public void warn(java.lang.String arg0,
                     java.lang.Throwable arg1)

  Specified by:
    `warn` in interface `org.mortbay.log.Logger`

### warn

    public void warn(java.lang.String arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2)

  Specified by:
    `warn` in interface `org.mortbay.log.Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.